%global fontname un-core
%global fontconf 65-0-%{fontname}

%global alphatag    080608
%global archivename un-fonts-core-%{version}-%{alphatag}

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

Name:           %{fontname}-fonts
Version:        1.0.2
Release:        1
Summary:        Un Core family of Korean TrueType fonts

Group:          User Interface/X
License:        GPLv2
URL:            http://kldp.net/projects/unfonts/
Source0:        http://kldp.net/frs/download.php/4695/%{archivename}.tar.gz
Source1:        %{name}-batang-fontconfig.conf
Source2:        %{name}-dinaru-fontconfig.conf
Source3:        %{name}-dotum-fontconfig.conf
Source4:        %{name}-graphic-fontconfig.conf
Source5:        %{name}-gungseo-fontconfig.conf
Source6:        %{name}-pilgi-fontconfig.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

%description
This is just a dummy to satisfy RPM.


%package -n %{fontname}-batang-fonts
Summary:  Un Core fonts - UnBatang
Group:    User Interface/X
Requires: fontconfig

%description -n %{fontname}-batang-fonts
The UN set of Korean TrueType fonts is derived from the HLaTeX Type1 fonts
made by Koaunghi Un in 1998. They were converted to TrueType with
FontForge(PfaEdit) by Won-kyu Park in 2003.
The Un Core set is composed of:

- UnBatang: serif
- UnDinaru: fantasy
- UnDotum: sans-serif
- UnGraphic: sans-serif style
- UnGungseo: cursive, brush-stroke
- UnPilgi: script

This package includes UnBatang, a serif font.


%package -n %{fontname}-dinaru-fonts
Summary:  Un Core fonts - UnDinaru
Group:    User Interface/X
Requires: fontconfig

%description -n %{fontname}-dinaru-fonts
The UN set of Korean TrueType fonts is derived from the HLaTeX Type1 fonts
made by Koaunghi Un in 1998. They were converted to TrueType with
FontForge(PfaEdit) by Won-kyu Park in 2003.
The Un Core set is composed of:

- UnBatang: serif
- UnDinaru: fantasy
- UnDotum: sans-serif
- UnGraphic: sans-serif style
- UnGungseo: cursive, brush-stroke
- UnPilgi: script

This package includes UnDinaru, a fantasy font.


%package -n %{fontname}-dotum-fonts
Summary:  Un Core fonts - UnDotum
Group:    User Interface/X
Requires: fontconfig

%description -n %{fontname}-dotum-fonts
The UN set of Korean TrueType fonts is derived from the HLaTeX Type1 fonts
made by Koaunghi Un in 1998. They were converted to TrueType with
FontForge(PfaEdit) by Won-kyu Park in 2003.
The Un Core set is composed of:

- UnBatang: serif
- UnDinaru: fantasy
- UnDotum: sans-serif
- UnGraphic: sans-serif style
- UnGungseo: cursive, brush-stroke
- UnPilgi: script

This package includes UnDotum, a sans-serif font.


%package -n %{fontname}-graphic-fonts
Summary:  Un Core fonts - UnGraphic
Group:    User Interface/X
Requires: fontconfig

%description -n %{fontname}-graphic-fonts
The UN set of Korean TrueType fonts is derived from the HLaTeX Type1 fonts
made by Koaunghi Un in 1998. They were converted to TrueType with
FontForge(PfaEdit) by Won-kyu Park in 2003.
The Un Core set is composed of:

- UnBatang: serif
- UnDinaru: fantasy
- UnDotum: sans-serif
- UnGraphic: sans-serif style
- UnGungseo: cursive, brush-stroke
- UnPilgi: script

This package includes UnGraphic, a sans-serif font.


%package -n %{fontname}-gungseo-fonts
Summary:  Un Core fonts - UnGungseo
Group:    User Interface/X
Requires: fontconfig

%description -n %{fontname}-gungseo-fonts
The UN set of Korean TrueType fonts is derived from the HLaTeX Type1 fonts
made by Koaunghi Un in 1998. They were converted to TrueType with
FontForge(PfaEdit) by Won-kyu Park in 2003.
The Un Core set is composed of:

- UnBatang: serif
- UnDinaru: fantasy
- UnDotum: sans-serif
- UnGraphic: sans-serif style
- UnGungseo: cursive, brush-stroke
- UnPilgi: script

This package includes UnGungseo, a cursive font.


%package -n %{fontname}-pilgi-fonts
Summary:  Un Core fonts - UnPilgi
Group:    User Interface/X
Requires: fontconfig

%description -n %{fontname}-pilgi-fonts
The UN set of Korean TrueType fonts is derived from the HLaTeX Type1 fonts
made by Koaunghi Un in 1998. They were converted to TrueType with
FontForge(PfaEdit) by Won-kyu Park in 2003.
The Un Core set is composed of:

- UnBatang: serif
- UnDinaru: fantasy
- UnDotum: sans-serif
- UnGraphic: sans-serif style
- UnGungseo: cursive, brush-stroke
- UnPilgi: script

This package includes UnPilgi, a script font.


%prep
%setup -q -n un-fonts


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp *.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-batang.conf
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-dinaru.conf
cp %{SOURCE3} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-dotum.conf
cp %{SOURCE4} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-graphic.conf
cp %{SOURCE5} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-gungseo.conf
cp %{SOURCE6} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-pilgi.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/*.conf

for f in %{fontconf}-batang.conf \
        %{fontconf}-dinaru.conf \
        %{fontconf}-dotum.conf \
        %{fontconf}-graphic.conf \
        %{fontconf}-gungseo.conf \
        %{fontconf}-pilgi.conf ; do
    ln -s %{_fontconfig_templatedir}/${f} ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/${f}
done


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n %{fontname}-batang-fonts
%defattr(-,root,system,-)
%doc COPYING README
%{_fontconfig_confdir}/%{fontconf}-batang.conf
%{_fontconfig_templatedir}/%{fontconf}-batang.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/UnBatang.ttf
%{_fontdir}/%{fontname}/UnBatangBold.ttf


%files -n %{fontname}-dinaru-fonts
%defattr(-,root,system,-)
%doc COPYING README
%{_fontconfig_confdir}/%{fontconf}-dinaru.conf
%{_fontconfig_templatedir}/%{fontconf}-dinaru.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/UnDinaru.ttf
%{_fontdir}/%{fontname}/UnDinaruLight.ttf
%{_fontdir}/%{fontname}/UnDinaruBold.ttf


%files -n %{fontname}-dotum-fonts
%defattr(-,root,system,-)
%doc COPYING README
%{_fontconfig_confdir}/%{fontconf}-dotum.conf
%{_fontconfig_templatedir}/%{fontconf}-dotum.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/UnDotum.ttf
%{_fontdir}/%{fontname}/UnDotumBold.ttf


%files -n %{fontname}-graphic-fonts
%defattr(-,root,system,-)
%doc COPYING README
%{_fontconfig_confdir}/%{fontconf}-graphic.conf
%{_fontconfig_templatedir}/%{fontconf}-graphic.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/UnGraphic.ttf
%{_fontdir}/%{fontname}/UnGraphicBold.ttf


%files -n %{fontname}-gungseo-fonts
%defattr(-,root,system,-)
%doc COPYING README
%{_fontconfig_confdir}/%{fontconf}-gungseo.conf
%{_fontconfig_templatedir}/%{fontconf}-gungseo.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/UnGungseo.ttf


%files -n %{fontname}-pilgi-fonts
%defattr(-,root,system,-)
%doc COPYING README
%{_fontconfig_confdir}/%{fontconf}-pilgi.conf
%{_fontconfig_templatedir}/%{fontconf}-pilgi.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/UnPilgi.ttf
%{_fontdir}/%{fontname}/UnPilgiBold.ttf


%changelog
* Thu Dec 02 2010 Michael Perzl <michael@perzl.org> - 1.0.2-1
- first version for AIX V5.1 and higher
